//
//  SCAdSessionController.h
//  SCTVOSSDK
//
//  Copyright © 2018 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVKit/AVKit.h>

@class SCAdSlotController;
@protocol SCAdSessionStateListener;
/**
* The SCAdSessionController is a singleton configuration for the Smartclip advertising SDK, it is the initial component that establishes
* the basic connection to the Ad server and creates the AdSlots.
*/
@interface SCAdSessionController : NSObject
@property (nonatomic, weak) id<SCAdSessionStateListener> sessionStateListener;
///Get the shared instance of this controller
+ (instancetype)sharedInstance;

///Use this function to get your SCAdSlotController, the object that handles an adSlot
///You have to pass in your instance of the AVPlayer.
- (SCAdSlotController*)adSlotControllerWithAVPlayer:(AVPlayer *)avPlayer;
@end
